﻿using Syncfusion.Windows.Controls.Input;
using Syncfusion.Windows.PropertyGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace PropertyGrid_119059
{
    public class MaskEditor:ITypeEditor
    {
        public void Attach(PropertyViewItem property, PropertyItem info)
        {
            if (info.CanWrite)
            {
                var binding = new Binding("Value")
                {
                    Mode = BindingMode.TwoWay,
                    Source = info,
                    ValidatesOnExceptions = true,
                    ValidatesOnDataErrors = true
                };
                BindingOperations.SetBinding(maskcontrol, SfMaskedEdit.ValueProperty, binding);
            }
            else
            {
                
                var binding = new Binding("Value")
                {

                    Source = info,
                    ValidatesOnExceptions = true,
                    ValidatesOnDataErrors = true
                };
                BindingOperations.SetBinding(maskcontrol, SfMaskedEdit.ValueProperty, binding);
            }
        }

        SfMaskedEdit maskcontrol;
        public object Create(PropertyInfo propertyInfo)
        {
            maskcontrol = new SfMaskedEdit()
            {
                Mask = "[A-Za-z]{1}[A-Za-z0-9]+",
                MaskType = MaskType.RegEx,
                ValidationMode = InputValidationMode.KeyPress
            };

            
            return maskcontrol;
        }

        public void Detach(PropertyViewItem property)
        {
            throw new NotImplementedException();
        }
    }
}
